/*
    QGLView
    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBJECT_EDITOR_H
#define GLOBJECT_EDITOR_H

#include "globject.h"

namespace Ui {
class GLObjectEditor;
};

class GLObjectEditor: public QWidget {
	Q_OBJECT

public:
	explicit GLObjectEditor(QWidget * parent = 0);

	void setObject(GLObjectBase * o);
	GLObjectBase * getObject() { return object; }

protected:
	void changeEvent(QEvent * e);

	Ui::GLObjectEditor * ui;
	bool active;
	GLObjectBase * object;
	QList<GLenum> rmodes;

private slots:
	void objectChanged();
	void on_spinLightAngleStart_valueChanged(double v);
	void on_spinLightAngleEnd_valueChanged(double v);
	void on_buttonDiscardRawMatrix_clicked();

signals:
	void changed();
};

#endif // GLOBJECT_EDITOR_H
